Bug 970 - device potentially never blanks in pocket
: device potentially never blanks in pocket
Status: RESOLVED FIXED
Product: System software
Device lock
: unspecified
: All Maemo
: Medium normal (vote)
: ---
Assigned To: Maemo QA (deprecated)
: device-lock-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-25 15:20 UTC by tuukka.tolvanen
Modified: 2008-12-06 17:01 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description tuukka.tolvanen (reporter) nokia 2007-01-25 15:20:37 UTC
reported on maemo-users 2007-01-19, also bug 959 mentions this but the
solutions
offered are complicated, hence this bug

str:
1. set display dim and blank timeouts to minimums for quicker testing
2. lock touch screen and display
3. pocket the device, or simulate same by repeatedly touching screen before
blanking

actual results:
when touched before blanking while locked, screen goes to full brightness
[nice]
and shows unlocking instructions [good] and resets blanking timeout [bad] so
screen will stay on in pocket indefinitely

expected results:
when touched before blanking while locked, screen goes to full brightness
[nice]
and shows unlocking instructions [good] but does not reset blanking timeout
[good] so screen will eventually blank in pocket according to the blank timeout
counted from time of locking, or, for bonus points, blank timout extended
_once_
with the dim timeout so the going to full brightness is not followed too
suddenly by blanking.
Comment 1 tuukka.tolvanen (reporter) nokia 2007-01-25 15:35:35 UTC
> 2. lock touch screen and display

er, "...and keys", rather :)
Comment 2 Neil MacLeod maemo.org 2007-01-25 15:58:14 UTC
Not sure I agree that it's even good for the screen to go to full brightness
_at
all_ once the device is locked - that's just a waste of (eg.) 3 minutes battery
power (even if it is a tiny amount).

The point of bug #959 is to request a suitable GUI checkbox that would allow
the
display to be disabled *immediately* whenever the device is locked - as the
owner of the device, and thus the person who locked it, I know how to unlock it
so I don't really need the screen to illuminate and provide me with the
instructions!

The defective timers, and the fact they reset back to the beginning etc. is
adequately addressed by this bug however! :)
Comment 3 Neil MacLeod maemo.org 2007-03-24 14:39:54 UTC
Tuukka - it appears this bug (as well as bug #959) is now FIXED in 3.2007.10-7
-
can you confirm? The screen is blanks immediately when locked - there is no
dimming period, which makes sense (to me at least!) :)
Comment 4 tuukka.tolvanen (reporter) nokia 2007-03-24 15:39:04 UTC
yeah, the essential issue appears fixed in RX-34_2007SE_3.2007.10-7